> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Account Verification Session Errors

## Request Errors

The request to the `/accounts/{acc_id}/verification_sessions` endpoint failed. These are the `sub_type` that can be returned.

### `INVALID_REQUEST`

The request body failed basic validation for the specific API endpoint.

### `NOT_FOUND`

The requested resource does not exist.

### `EXISTING_VERIFIED_SESSION`

The Account has already been verified.

### `EXISTING_VERIFICATION_SESSION`

The Account has an existing verification session.

### `VERIFICATION_TYPE_NOT_SUPPORTED`

The verification type provided is not supported for the merchant.

### `VERIFICATION_SESSION_ATTEMPT_LIMIT_REACHED`

The verification session attempt limit has been reached.

***

## Resource Errors

Errors set on an AccountVerificationSession's `error` property for processes that are unsuccessful.

### `16001 – VERIFICATION_TYPE_NOT_SUPPORTED`

The AccountVerificationSession has failed.

#### Causes

* The inputted verification type is not supported for the merchant.

```json theme={null}
{
  "type": "ACCOUNT_VERIFICATION_SESSION_FAILED",
  "code": 16001,
  "sub_type": "VERIFICATION_TYPE_NOT_SUPPORTED",
  "message": "The verification type provided is not supported for the merchant."
}
```

#### Resolution

* Initiate a new AccountVerificationSession with a supported type.

***

### `16002 – INVALID_DETAILS`

The AccountVerificationSession has failed due to incorrect details.

#### Causes

* The details required to pass verification was incorrect.

```json theme={null}
{
  "type": "ACCOUNT_VERIFICATION_SESSION_FAILED",
  "code": 16002,
  "sub_type": "INVALID_DETAILS",
  "message": "The provided details are invalid for the account."
}
```

#### Resolution

* Initiate a new AccountVerificationSession and verify the correct details is provided.

***

### `16003 – MICRO_DEPOSITS_FAILED`

The AccountVerificationSession has failed due to invalid account information.

#### Causes

* Incorrect Account information - the account number or routing number is incorrect.
* The Account could not be located.

```json theme={null}
{
  "type": "ACCOUNT_VERIFICATION_SESSION_FAILED",
  "code": 16003,
  "sub_type": "MICRO_DEPOSITS_FAILED",
  "message": "The micro-deposits failed to verify due to invalid account information."
}
```

#### Resolution

* The verification session has failed and the Account will be disabled.

***

### `16004 – VERIFICATION_SESSION_ATTEMPT_LIMIT_REACHED`

The AccountVerificationSession has failed due to reaching maximum number of attempts for this session.

#### Causes

* Too many failed verification attempts for this session.

```json theme={null}
{
  "type": "ACCOUNT_VERIFICATION_SESSION_FAILED",
  "code": 16004,
  "sub_type": "VERIFICATION_SESSION_ATTEMPT_LIMIT_REACHED",
  "message": "The maximum number of attempts has been reached for this account verification session."
}
```

#### Resolution

* Initiate a new AccountVerificationSession.

***
